我已经安装 sun-java6-jre 怎么还是没有java runtime envirement[已解决]

为当前最终发行版之前的所有版本提供支持
回复
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

我已经安装 sun-java6-jre 怎么还是没有java runtime envirement[已解决]

#1

帖子 wkt » 2007-08-25 23:06

rt
附件
Screenshot-插件搜索服务.png
Screenshot-插件搜索服务.png (11.32 KiB) 查看 4268 次
上次由 wkt 在 2007-08-29 19:07,总共编辑 1 次。
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#2

帖子 依寻依然 » 2007-08-25 23:09

这个是浏览器的插件吧
Borders are meant to be crossed
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 wkt » 2007-08-25 23:13

依寻依然 写了:这个是浏览器的插件吧

sun-java6-jre 不是提供
java runtime envirement吗?
头像
qqttdh
帖子: 896
注册时间: 2007-07-20 22:15
送出感谢: 0
接收感谢: 0

#4

帖子 qqttdh » 2007-08-26 15:21

新立得 中 搜 firefox
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

说明..

#5

帖子 wkt » 2007-08-29 19:16

今天 用apt 搜了一下java
看到有sun-java6-plugin
我想可能就是这个东西了
安装后,
我立即看了看
/usr/lib/firefox/plugins/
果然多了libjavaplugin.so 链接
上网看看ok了!
不过sun-java6-plugin 是个没有实际意义的东西
不过它的 安装完成脚本 却有意思:
-0-$ cat /var/lib/dpkg/info/sun-java6-plugin.postinst
#!/bin/sh -e

PATH=/sbin:/bin:/usr/sbin:/usr/bin

priority=63
PLUGIN=libjavaplugin_oji.so
PLUGINPTH=/usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/$PLUGIN

update-alternatives --quiet --install \
/usr/lib/mozilla/plugins/libjavaplugin.so \
mozilla-javaplugin.so \
$PLUGINPTH \
$priority

update-alternatives --quiet --install \
/usr/lib/firefox/plugins/libjavaplugin.so \
firefox-javaplugin.so \
$PLUGINPTH \
$priority

update-alternatives --quiet --install \
/usr/lib/iceweasel/plugins/libjavaplugin.so \
iceweasel-javaplugin.so \
$PLUGINPTH \
$priority

update-alternatives --quiet --install \
/usr/lib/iceape/plugins/libjavaplugin.so \
iceape-javaplugin.so \
$PLUGINPTH \
$priority



exit 0
头像
jordie
帖子: 47
注册时间: 2009-01-05 9:03
送出感谢: 0
接收感谢: 0

Re: 我已经安装 sun-java6-jre 怎么还是没有java runtime envirement[已解决]

#6

帖子 jordie » 2009-01-05 12:33

我也是这样的呀,还没找到解决的方法吗?
近期学习Glusterfs、KVM...
头像
jordie
帖子: 47
注册时间: 2009-01-05 9:03
送出感谢: 0
接收感谢: 0

Re: 我已经安装 sun-java6-jre 怎么还是没有java runtime envirement[已解决]

#7

帖子 jordie » 2009-01-05 13:22

二、Ubuntu篇

打开终端,执行以下命令,或使用Adept/新立得软件管理器,在其中分别搜索"sun-java6-jre"和"sun-java6-jdk"并标记安装。

sudo apt-get install sun-java6-jre

如果空间富裕,建议安装一个JDK。

sudo apt-get install sun-java6-jdk

提示:安装过程中需要你回答是否同意使用协议(终端中红蓝色的提示界面),此时按tab键至OK,再按回车即可正常安装。

设置当前默认的java解释器:

sudo update-alternatives --config java

执行後会出现类似如下的画面:

There are 2 alternatives which provide `java'.

Selection Alternative
-----------------------------------------------
1 /usr/bin/gij-wrapper-4.1
*+ 2 /usr/lib/jvm/java-6-sun/jre/bin/java

Press enter to keep the default[*], or type selection number:

输入 有包含 "sun" 的行的前面的数字。如上面显示,则输入2,然後回车确定。


配置JAVA环境变量:

sudo gedit /etc/environment

在其中添加如下两行:

CLASSPATH=.:/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun

sudo gedit /etc/jvm

将文件中的

/usr/lib/jvm/java-6-sun

这一行填入到配置块的顶部

安装浏览器的JAVA Plugin(可选):


一、查看安装的jdk列表
update-java-alternatives -l

二、设置默认Java
sudo update-java-alternatives -s java-1.5.0-sun
参考:
http://wiki.ubuntu.org.cn/Java%E5%AE%89 ... D%E7%BD%AE
http://hi.baidu.com/yangyingchao/blog/i ... 64e56.html
近期学习Glusterfs、KVM...
回复

回到 “老旧版本支持”